Index: devel/libexecinfo/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/libexecinfo/builtin.mk,v
retrieving revision 1.2
diff -u -r1.2 builtin.mk
--- devel/libexecinfo/builtin.mk	23 Nov 2013 11:29:35 -0000	1.2
+++ devel/libexecinfo/builtin.mk	24 Mar 2014 19:39:34 -0000
@@ -56,7 +56,7 @@
 .  if !empty(USE_BUILTIN.libexecinfo:M[nN][oO])
 _BLTN_LIBEXECINFO=	-lexecinfo
 .  else
-.    if exists(/usr/include/execinfo.h) && (${OPSYS} == "NetBSD")
+.    if exists(/usr/include/execinfo.h) && (${OPSYS} == "NetBSD" || ${OPSYS} == "FreeBSD")
 _BLTN_LIBEXECINFO=	-lexecinfo
 .    else
 _BLTN_LIBEXECINFO=	# empty
Index: devel/cmake/distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/devel/cmake/distinfo,v
retrieving revision 1.56
diff -u -r1.56 distinfo
--- devel/cmake/distinfo	22 Mar 2014 08:39:10 -0000	1.56
+++ devel/cmake/distinfo	24 Mar 2014 19:39:34 -0000
@@ -7,7 +7,7 @@
 SHA1 (patch-Modules_FindFreetype.cmake) = 7868ab96cadc011ccb16205382a3cbfa3d159f32
 SHA1 (patch-Modules_FindX11.cmake) = e5c9f5fd382effb85ae75fe603de00e5e58d788a
 SHA1 (patch-Modules_Platform_SunOS.cmake) = 7a53ae3c902dd69ee22ef9fe0ae2a022d5284f16
-SHA1 (patch-Source_kwsys_SystemInformation.cxx) = ee7f56c0f9c4c096e8b7488c7f34cb32ae02a047
+SHA1 (patch-Source_kwsys_SystemInformation.cxx) = 93c66c53dbf91198223d8358cb2da6b8e4b5ece3
 SHA1 (patch-Utilities_KWIML_CMakeLists.txt) = 4e8cef0eab2ad8cb27cd7076e077bb5e7425a95c
 SHA1 (patch-aa) = 97bfad3d2c357e9af01677ba86057b78f0661b9b
 SHA1 (patch-ab) = aee3fb2f908aed1ce6e92b7c7ccf5b06f0596502
Index: devel/cmake/patches/patch-Source_kwsys_SystemInformation.cxx
===================================================================
RCS file: /cvsroot/pkgsrc/devel/cmake/patches/patch-Source_kwsys_SystemInformation.cxx,v
retrieving revision 1.5
diff -u -r1.5 patch-Source_kwsys_SystemInformation.cxx
--- devel/cmake/patches/patch-Source_kwsys_SystemInformation.cxx	25 Oct 2013 10:49:23 -0000	1.5
+++ devel/cmake/patches/patch-Source_kwsys_SystemInformation.cxx	24 Mar 2014 19:39:34 -0000
@@ -1,22 +1,33 @@
-$NetBSD: patch-Source_kwsys_SystemInformation.cxx,v 1.5 2013/10/25 10:49:23 obache Exp $
+$NetBSD$
 
 * Add more conditional handling for NetBSD, same as others.
+* Treat FreeBSD the same way as NetBSD and OpenBSD.
 * Treat Solaris same as Linux.
 * Use correct cmake define.
 
---- Source/kwsys/SystemInformation.cxx.orig	2013-10-07 15:31:00.000000000 +0000
+--- Source/kwsys/SystemInformation.cxx.orig	2014-01-16 17:15:08.000000000 +0000
 +++ Source/kwsys/SystemInformation.cxx
-@@ -93,6 +93,22 @@ typedef int siginfo_t;
- #if defined(__OpenBSD__) || defined(__NetBSD__)
- # include <sys/param.h>
+@@ -78,9 +78,9 @@ typedef int siginfo_t;
+ # include <errno.h> // extern int errno;
+ #endif
+ 
+-#ifdef __FreeBSD__
++#if defined(__OpenBSD__) || defined(__NetBSD__) || defined(__FreeBSD__)
++# include <sys/param.h>
  # include <sys/sysctl.h>
-+# include <sys/socket.h>
-+# include <netdb.h>
-+# include <netinet/in.h>
-+# if defined(KWSYS_SYS_HAS_IFADDRS_H)
-+#  include <ifaddrs.h>
-+#  define KWSYS_SYSTEMINFORMATION_IMPLEMENT_FQDN
-+# endif
+-# include <fenv.h>
+ # include <sys/socket.h>
+ # include <netdb.h>
+ # include <netinet/in.h>
+@@ -88,11 +88,15 @@ typedef int siginfo_t;
+ #  include <ifaddrs.h>
+ #  define KWSYS_SYSTEMINFORMATION_IMPLEMENT_FQDN
+ # endif
+-#endif
+-
+-#if defined(__OpenBSD__) || defined(__NetBSD__)
+-# include <sys/param.h>
+-# include <sys/sysctl.h>
 +# if defined(KWSYS_SYSTEMINFORMATION_HAS_BACKTRACE)
 +#  include <execinfo.h>
 +#  if defined(KWSYS_SYSTEMINFORMATION_HAS_CPP_DEMANGLE)
@@ -29,7 +40,7 @@
  #endif
  
  #if defined(KWSYS_SYS_HAS_MACHINE_CPU_H)
-@@ -130,7 +146,7 @@ typedef int siginfo_t;
+@@ -130,7 +134,7 @@ typedef int siginfo_t;
  # endif
  #endif
  
@@ -38,7 +49,7 @@
  # include <fenv.h>
  # include <sys/socket.h>
  # include <netdb.h>
-@@ -4616,7 +4632,7 @@ bool SystemInformationImplementation::Qu
+@@ -4616,7 +4620,7 @@ bool SystemInformationImplementation::Qu
    // a 32 bit process on a 64 bit host the returned memory will be
    // limited to 4GiB. So if this is a 32 bit process or if the sysconf
    // method fails use the kstat interface.
